program weighing;

{$APPTYPE CONSOLE}

Var  t,i:word;
n,j: longint;

begin
assign(input,'weighing.in ');
reset(input);
readln(t);
for i:=1 to t  do
begin
readln(n);
j:= n div 2;
writeln(j);

end;

end.
